List namespace models

Returns a paginated list of models.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Namespace ID

Query Params
int32

The maximum number of models to return. If this parameter is unspecified, at most 10 models will be returned. The cap value for this parameter is 100 (i.e. any value above that will be coerced to 100).

string

Page token.

string
enum

View allows clients to specify the desired model view in the response.

  • VIEW_BASIC: Default view, only includes basic information (omits model_spec).
  • VIEW_FULL: Full representation.
Allowed:
boolean

Include soft-deleted models in the result.

string

Filter can hold an AIP-160-compliant filter expression.

  • Example: create_time>timestamp("2000-06-19T23:31:08.657Z").
string
enum

Limit results to pipelines with the specified visibility.

  • VISIBILITY_PRIVATE: Only the owner can see the model.
  • VISIBILITY_PUBLIC: Other users can see the model.
Allowed:
string

Order by field, with options for ordering by id, create_time or update_time. Format: order_by=id or order_by=create_time desc, default is asc.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json